from django.views.decorators.http import require_http_methods

from backend.Service.DocumentService import DocumentService
from backend.Service.TemplateService import TemplateService


@require_http_methods(['POST'])
def Create(reqeust):
    return DocumentService.Create(reqeust)


@require_http_methods(['POST'])
def Update(reqeust):
    return DocumentService.Update(reqeust)


@require_http_methods(['POST'])
def Delete(reqeust):
    return DocumentService.Delete(reqeust)


@require_http_methods(['POST'])
def Info(reqeust):
    return DocumentService.Info(reqeust)


@require_http_methods(['POST'])
def Search(reqeust):
    return DocumentService.Search(reqeust)

@require_http_methods(['POST'])
def pageDocument(reqeust):
    return DocumentService.pageDocument(reqeust)
